from medimages4tests.dummy.dicom.base import generate_dicom, evolve_header


def get_image_headers(out_dir, skip_unknown=True, **kwargs):
    dcms = []
    for i, (hdr, data) in enumerate(zip(constant_hdrs, collated_data)):
        odir = out_dir / str(i)
        odir.mkdir(parents=True, exist_ok=True)
        hdr = evolve_header(hdr, skip_unknown=skip_unknown, **kwargs)
        dcms.append(generate_dicom(odir, num_vols, hdr, data, {}))
    return dcms


num_vols = 1


constant_hdr1 = {
    "00080005": {"vr": "CS", "Value": ["ISO_IR 100"]},
    "00080008": {"vr": "CS", "Value": ["ORIGINAL", "PRIMARY", "PET_SINO_DYNAMIC"]},
    "00080012": {"vr": "DA", "Value": ["20240813"]},
    "00080013": {"vr": "TM", "Value": ["143226.555000"]},
    "00080016": {"vr": "UI", "Value": ["1.3.12.2.1107.5.9.1"]},
    "00080018": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081223082978000000067"],
    },
    "00080020": {"vr": "DA", "Value": ["20240813"]},
    "00080021": {"vr": "DA", "Value": ["20240813"]},
    "00080022": {"vr": "DA", "Value": ["20240813"]},
    "00080030": {"vr": "TM", "Value": ["134340.204000"]},
    "00080031": {"vr": "TM", "Value": ["140639.151000"]},
    "00080032": {"vr": "TM", "Value": ["140639.151000"]},
    "00080050": {"vr": "SH", "Value": ["2408131400"]},
    "00080060": {"vr": "CS", "Value": ["PT"]},
    "00080070": {"vr": "LO", "Value": ["SIEMENS"]},
    "00080080": {"vr": "LO", "Value": ["An institute"]},
    "00080081": {"vr": "ST", "Value": ["Address of said institute"]},
    "00080090": {"vr": "PN"},
    "00081010": {"vr": "SH", "Value": ["QUADRA10016"]},
    "00081030": {"vr": "LO", "Value": ["Researcher^Project"]},
    "0008103E": {"vr": "LO", "Value": ["PET Brain Dynamic Sinograms"]},
    "00081040": {"vr": "LO", "Value": ["PET"]},
    "00081090": {"vr": "LO", "Value": ["Biograph128_Vision Quadra Edge-1232"]},
    "00082111": {"vr": "ST", "Value": ["PETCT-PET Dyn"]},
    "00100010": {"vr": "PN", "Value": ["FirstName^LastName"]},
    "00100020": {"vr": "LO", "Value": ["Session Label"]},
    "00100030": {"vr": "DA", "Value": ["19500101"]},
    "00100040": {"vr": "CS", "Value": ["F"]},
    "00101010": {"vr": "AS", "Value": ["074Y"]},
    "00101020": {"vr": "DS", "Value": [1.55]},
    "00101030": {"vr": "DS", "Value": [45.0]},
    "00104000": {"vr": "LT", "Value": ["Patient comments string"]},
    "00181000": {"vr": "LO", "Value": ["10016"]},
    "00181020": {"vr": "LO", "Value": ["VR20B"]},
    "00181030": {"vr": "LO", "Value": ["U_TBPC230007_MANGO_First (Adult)"]},
    "00181200": {"vr": "DA", "Value": ["20240813", "20240702"]},
    "00181201": {"vr": "TM", "Value": ["010000.000000", "091429.000000"]},
    "00185100": {"vr": "CS", "Value": ["HFS"]},
    "0020000D": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081207361217700000019"],
    },
    "0020000E": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081223082978000000103"],
    },
    "00200010": {"vr": "SH", "Value": ["PROJECT_ID"]},
    "00200011": {"vr": "IS", "Value": [604]},
    "00200012": {"vr": "IS", "Value": [2001]},
    "00200013": {"vr": "IS", "Value": [1]},
    "00200052": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081207361337100000047"],
    },
    "00204000": {"vr": "LT", "Value": ["PET Dynamic - Pass : 1 Bed : 1 Sinogram : 1"]},
    "00290010": {"vr": "LO", "Value": ["SIEMENS CSA NON-IMAGE"]},
    "00290011": {"vr": "LO", "Value": ["SIEMENS CSA HEADER"]},
    "00290012": {"vr": "LO", "Value": ["SIEMENS MEDCOM HEADER"]},
    "00291008": {"vr": "CS", "Value": ["PET_EM_SINO_T"]},
    "00291009": {"vr": "LO", "Value": ["1.3"]},
    "00291108": {"vr": "CS", "Value": ["PET_HDR_SINO"]},
    "00291109": {"vr": "LO", "Value": ["1.3"]},
    "00324000": {"vr": "LT", "Value": ["001_Pres_Dyna"]},
    "7FE10010": {"vr": "LO", "Value": ["SIEMENS CSA NON-IMAGE"]},
    "00081048": {"vr": "PN", "Value": [{"Alphabetic": "Some Phenotype"}]},
}


collated_data1 = {
    "00291010": {"vr": "OB", "BinaryLength": 18152},
    "00291110": {"vr": "OB", "BinaryLength": 1268},
    "00291220": {"vr": "OB", "BinaryLength": 104},
    "7FE11010": {"vr": "OB", "BinaryLength": 352},
}


constant_hdr2 = {
    "00080005": {"vr": "CS", "Value": ["ISO_IR 100"]},
    "00080008": {"vr": "CS", "Value": ["ORIGINAL", "PRIMARY", "PET_SINO_DYNAMIC"]},
    "00080012": {"vr": "DA", "Value": ["20240813"]},
    "00080013": {"vr": "TM", "Value": ["143226.567000"]},
    "00080016": {"vr": "UI", "Value": ["1.3.12.2.1107.5.9.1"]},
    "00080018": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081223082978000000068"],
    },
    "00080020": {"vr": "DA", "Value": ["20240813"]},
    "00080021": {"vr": "DA", "Value": ["20240813"]},
    "00080022": {"vr": "DA", "Value": ["20240813"]},
    "00080030": {"vr": "TM", "Value": ["134340.204000"]},
    "00080031": {"vr": "TM", "Value": ["140639.151000"]},
    "00080032": {"vr": "TM", "Value": ["140649.151000"]},
    "00080050": {"vr": "SH", "Value": ["2408131400"]},
    "00080060": {"vr": "CS", "Value": ["PT"]},
    "00080070": {"vr": "LO", "Value": ["SIEMENS"]},
    "00080080": {"vr": "LO", "Value": ["An institute"]},
    "00080081": {"vr": "ST", "Value": ["Address of said institute"]},
    "00080090": {"vr": "PN"},
    "00081010": {"vr": "SH", "Value": ["QUADRA10016"]},
    "00081030": {"vr": "LO", "Value": ["Researcher^Project"]},
    "0008103E": {"vr": "LO", "Value": ["PET Brain Dynamic Sinograms"]},
    "00081040": {"vr": "LO", "Value": ["PET"]},
    "00081090": {"vr": "LO", "Value": ["Biograph128_Vision Quadra Edge-1232"]},
    "00082111": {"vr": "ST", "Value": ["PETCT-PET Dyn"]},
    "00100010": {"vr": "PN", "Value": ["FirstName^LastName"]},
    "00100020": {"vr": "LO", "Value": ["Session Label"]},
    "00100030": {"vr": "DA", "Value": ["19500101"]},
    "00100040": {"vr": "CS", "Value": ["F"]},
    "00101010": {"vr": "AS", "Value": ["074Y"]},
    "00101020": {"vr": "DS", "Value": [1.55]},
    "00101030": {"vr": "DS", "Value": [45.0]},
    "00104000": {"vr": "LT", "Value": ["Patient comments string"]},
    "00181000": {"vr": "LO", "Value": ["10016"]},
    "00181020": {"vr": "LO", "Value": ["VR20B"]},
    "00181030": {"vr": "LO", "Value": ["U_TBPC230007_MANGO_First (Adult)"]},
    "00181200": {"vr": "DA", "Value": ["20240813", "20240702"]},
    "00181201": {"vr": "TM", "Value": ["010000.000000", "091429.000000"]},
    "00185100": {"vr": "CS", "Value": ["HFS"]},
    "0020000D": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081207361217700000019"],
    },
    "0020000E": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081223082978000000103"],
    },
    "00200010": {"vr": "SH", "Value": ["PROJECT_ID"]},
    "00200011": {"vr": "IS", "Value": [604]},
    "00200012": {"vr": "IS", "Value": [2001]},
    "00200013": {"vr": "IS", "Value": [2]},
    "00200052": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081207361337100000047"],
    },
    "00204000": {"vr": "LT", "Value": ["PET Dynamic - Pass : 1 Bed : 1 Sinogram : 2"]},
    "00290010": {"vr": "LO", "Value": ["SIEMENS CSA NON-IMAGE"]},
    "00290011": {"vr": "LO", "Value": ["SIEMENS CSA HEADER"]},
    "00290012": {"vr": "LO", "Value": ["SIEMENS MEDCOM HEADER"]},
    "00291008": {"vr": "CS", "Value": ["PET_EM_SINO_T"]},
    "00291009": {"vr": "LO", "Value": ["1.3"]},
    "00291108": {"vr": "CS", "Value": ["PET_HDR_SINO"]},
    "00291109": {"vr": "LO", "Value": ["1.3"]},
    "00324000": {"vr": "LT", "Value": ["001_Pres_Dyna"]},
    "7FE10010": {"vr": "LO", "Value": ["SIEMENS CSA NON-IMAGE"]},
    "00081048": {"vr": "PN", "Value": [{"Alphabetic": "Some Phenotype"}]},
}


collated_data2 = {
    "00291010": {"vr": "OB", "BinaryLength": 18288},
    "00291110": {"vr": "OB", "BinaryLength": 1268},
    "00291220": {"vr": "OB", "BinaryLength": 104},
    "7FE11010": {"vr": "OB", "BinaryLength": 352},
}


constant_hdr3 = {
    "00080005": {"vr": "CS", "Value": ["ISO_IR 100"]},
    "00080008": {"vr": "CS", "Value": ["ORIGINAL", "PRIMARY", "PET_SINO_DYNAMIC"]},
    "00080012": {"vr": "DA", "Value": ["20240813"]},
    "00080013": {"vr": "TM", "Value": ["143226.576000"]},
    "00080016": {"vr": "UI", "Value": ["1.3.12.2.1107.5.9.1"]},
    "00080018": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081223082978000000069"],
    },
    "00080020": {"vr": "DA", "Value": ["20240813"]},
    "00080021": {"vr": "DA", "Value": ["20240813"]},
    "00080022": {"vr": "DA", "Value": ["20240813"]},
    "00080030": {"vr": "TM", "Value": ["134340.204000"]},
    "00080031": {"vr": "TM", "Value": ["140639.151000"]},
    "00080032": {"vr": "TM", "Value": ["140659.151000"]},
    "00080050": {"vr": "SH", "Value": ["2408131400"]},
    "00080060": {"vr": "CS", "Value": ["PT"]},
    "00080070": {"vr": "LO", "Value": ["SIEMENS"]},
    "00080080": {"vr": "LO", "Value": ["An institute"]},
    "00080081": {"vr": "ST", "Value": ["Address of said institute"]},
    "00080090": {"vr": "PN"},
    "00081010": {"vr": "SH", "Value": ["QUADRA10016"]},
    "00081030": {"vr": "LO", "Value": ["Researcher^Project"]},
    "0008103E": {"vr": "LO", "Value": ["PET Brain Dynamic Sinograms"]},
    "00081040": {"vr": "LO", "Value": ["PET"]},
    "00081090": {"vr": "LO", "Value": ["Biograph128_Vision Quadra Edge-1232"]},
    "00082111": {"vr": "ST", "Value": ["PETCT-PET Dyn"]},
    "00100010": {"vr": "PN", "Value": ["FirstName^LastName"]},
    "00100020": {"vr": "LO", "Value": ["Session Label"]},
    "00100030": {"vr": "DA", "Value": ["19500101"]},
    "00100040": {"vr": "CS", "Value": ["F"]},
    "00101010": {"vr": "AS", "Value": ["074Y"]},
    "00101020": {"vr": "DS", "Value": [1.55]},
    "00101030": {"vr": "DS", "Value": [45.0]},
    "00104000": {"vr": "LT", "Value": ["Patient comments string"]},
    "00181000": {"vr": "LO", "Value": ["10016"]},
    "00181020": {"vr": "LO", "Value": ["VR20B"]},
    "00181030": {"vr": "LO", "Value": ["U_TBPC230007_MANGO_First (Adult)"]},
    "00181200": {"vr": "DA", "Value": ["20240813", "20240702"]},
    "00181201": {"vr": "TM", "Value": ["010000.000000", "091429.000000"]},
    "00185100": {"vr": "CS", "Value": ["HFS"]},
    "0020000D": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081207361217700000019"],
    },
    "0020000E": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081223082978000000103"],
    },
    "00200010": {"vr": "SH", "Value": ["PROJECT_ID"]},
    "00200011": {"vr": "IS", "Value": [604]},
    "00200012": {"vr": "IS", "Value": [2001]},
    "00200013": {"vr": "IS", "Value": [3]},
    "00200052": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081207361337100000047"],
    },
    "00204000": {"vr": "LT", "Value": ["PET Dynamic - Pass : 1 Bed : 1 Sinogram : 3"]},
    "00290010": {"vr": "LO", "Value": ["SIEMENS CSA NON-IMAGE"]},
    "00290011": {"vr": "LO", "Value": ["SIEMENS CSA HEADER"]},
    "00290012": {"vr": "LO", "Value": ["SIEMENS MEDCOM HEADER"]},
    "00291008": {"vr": "CS", "Value": ["PET_EM_SINO_T"]},
    "00291009": {"vr": "LO", "Value": ["1.3"]},
    "00291108": {"vr": "CS", "Value": ["PET_HDR_SINO"]},
    "00291109": {"vr": "LO", "Value": ["1.3"]},
    "00324000": {"vr": "LT", "Value": ["001_Pres_Dyna"]},
    "7FE10010": {"vr": "LO", "Value": ["SIEMENS CSA NON-IMAGE"]},
    "00081048": {"vr": "PN", "Value": [{"Alphabetic": "Some Phenotype"}]},
}


collated_data3 = {
    "00291010": {"vr": "OB", "BinaryLength": 18756},
    "00291110": {"vr": "OB", "BinaryLength": 1268},
    "00291220": {"vr": "OB", "BinaryLength": 104},
    "7FE11010": {"vr": "OB", "BinaryLength": 352},
}


constant_hdr4 = {
    "00080005": {"vr": "CS", "Value": ["ISO_IR 100"]},
    "00080008": {"vr": "CS", "Value": ["ORIGINAL", "PRIMARY", "PET_SINO_DYNAMIC"]},
    "00080012": {"vr": "DA", "Value": ["20240813"]},
    "00080013": {"vr": "TM", "Value": ["143226.585000"]},
    "00080016": {"vr": "UI", "Value": ["1.3.12.2.1107.5.9.1"]},
    "00080018": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081223082978000000070"],
    },
    "00080020": {"vr": "DA", "Value": ["20240813"]},
    "00080021": {"vr": "DA", "Value": ["20240813"]},
    "00080022": {"vr": "DA", "Value": ["20240813"]},
    "00080030": {"vr": "TM", "Value": ["134340.204000"]},
    "00080031": {"vr": "TM", "Value": ["140639.151000"]},
    "00080032": {"vr": "TM", "Value": ["140709.151000"]},
    "00080050": {"vr": "SH", "Value": ["2408131400"]},
    "00080060": {"vr": "CS", "Value": ["PT"]},
    "00080070": {"vr": "LO", "Value": ["SIEMENS"]},
    "00080080": {"vr": "LO", "Value": ["An institute"]},
    "00080081": {"vr": "ST", "Value": ["Address of said institute"]},
    "00080090": {"vr": "PN"},
    "00081010": {"vr": "SH", "Value": ["QUADRA10016"]},
    "00081030": {"vr": "LO", "Value": ["Researcher^Project"]},
    "0008103E": {"vr": "LO", "Value": ["PET Brain Dynamic Sinograms"]},
    "00081040": {"vr": "LO", "Value": ["PET"]},
    "00081090": {"vr": "LO", "Value": ["Biograph128_Vision Quadra Edge-1232"]},
    "00082111": {"vr": "ST", "Value": ["PETCT-PET Dyn"]},
    "00100010": {"vr": "PN", "Value": ["FirstName^LastName"]},
    "00100020": {"vr": "LO", "Value": ["Session Label"]},
    "00100030": {"vr": "DA", "Value": ["19500101"]},
    "00100040": {"vr": "CS", "Value": ["F"]},
    "00101010": {"vr": "AS", "Value": ["074Y"]},
    "00101020": {"vr": "DS", "Value": [1.55]},
    "00101030": {"vr": "DS", "Value": [45.0]},
    "00104000": {"vr": "LT", "Value": ["Patient comments string"]},
    "00181000": {"vr": "LO", "Value": ["10016"]},
    "00181020": {"vr": "LO", "Value": ["VR20B"]},
    "00181030": {"vr": "LO", "Value": ["U_TBPC230007_MANGO_First (Adult)"]},
    "00181200": {"vr": "DA", "Value": ["20240813", "20240702"]},
    "00181201": {"vr": "TM", "Value": ["010000.000000", "091429.000000"]},
    "00185100": {"vr": "CS", "Value": ["HFS"]},
    "0020000D": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081207361217700000019"],
    },
    "0020000E": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081223082978000000103"],
    },
    "00200010": {"vr": "SH", "Value": ["PROJECT_ID"]},
    "00200011": {"vr": "IS", "Value": [604]},
    "00200012": {"vr": "IS", "Value": [2001]},
    "00200013": {"vr": "IS", "Value": [4]},
    "00200052": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081207361337100000047"],
    },
    "00204000": {"vr": "LT", "Value": ["PET Dynamic - Pass : 1 Bed : 1 Sinogram : 4"]},
    "00290010": {"vr": "LO", "Value": ["SIEMENS CSA NON-IMAGE"]},
    "00290011": {"vr": "LO", "Value": ["SIEMENS CSA HEADER"]},
    "00290012": {"vr": "LO", "Value": ["SIEMENS MEDCOM HEADER"]},
    "00291008": {"vr": "CS", "Value": ["PET_EM_SINO_T"]},
    "00291009": {"vr": "LO", "Value": ["1.3"]},
    "00291108": {"vr": "CS", "Value": ["PET_HDR_SINO"]},
    "00291109": {"vr": "LO", "Value": ["1.3"]},
    "00324000": {"vr": "LT", "Value": ["001_Pres_Dyna"]},
    "7FE10010": {"vr": "LO", "Value": ["SIEMENS CSA NON-IMAGE"]},
    "00081048": {"vr": "PN", "Value": [{"Alphabetic": "Some Phenotype"}]},
}


collated_data4 = {
    "00291010": {"vr": "OB", "BinaryLength": 19120},
    "00291110": {"vr": "OB", "BinaryLength": 1268},
    "00291220": {"vr": "OB", "BinaryLength": 104},
    "7FE11010": {"vr": "OB", "BinaryLength": 352},
}


constant_hdr5 = {
    "00080005": {"vr": "CS", "Value": ["ISO_IR 100"]},
    "00080008": {"vr": "CS", "Value": ["ORIGINAL", "PRIMARY", "PET_SINO_DYNAMIC"]},
    "00080012": {"vr": "DA", "Value": ["20240813"]},
    "00080013": {"vr": "TM", "Value": ["143226.594000"]},
    "00080016": {"vr": "UI", "Value": ["1.3.12.2.1107.5.9.1"]},
    "00080018": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081223082978000000071"],
    },
    "00080020": {"vr": "DA", "Value": ["20240813"]},
    "00080021": {"vr": "DA", "Value": ["20240813"]},
    "00080022": {"vr": "DA", "Value": ["20240813"]},
    "00080030": {"vr": "TM", "Value": ["134340.204000"]},
    "00080031": {"vr": "TM", "Value": ["140639.151000"]},
    "00080032": {"vr": "TM", "Value": ["140719.151000"]},
    "00080050": {"vr": "SH", "Value": ["2408131400"]},
    "00080060": {"vr": "CS", "Value": ["PT"]},
    "00080070": {"vr": "LO", "Value": ["SIEMENS"]},
    "00080080": {"vr": "LO", "Value": ["An institute"]},
    "00080081": {"vr": "ST", "Value": ["Address of said institute"]},
    "00080090": {"vr": "PN"},
    "00081010": {"vr": "SH", "Value": ["QUADRA10016"]},
    "00081030": {"vr": "LO", "Value": ["Researcher^Project"]},
    "0008103E": {"vr": "LO", "Value": ["PET Brain Dynamic Sinograms"]},
    "00081040": {"vr": "LO", "Value": ["PET"]},
    "00081090": {"vr": "LO", "Value": ["Biograph128_Vision Quadra Edge-1232"]},
    "00082111": {"vr": "ST", "Value": ["PETCT-PET Dyn"]},
    "00100010": {"vr": "PN", "Value": ["FirstName^LastName"]},
    "00100020": {"vr": "LO", "Value": ["Session Label"]},
    "00100030": {"vr": "DA", "Value": ["19500101"]},
    "00100040": {"vr": "CS", "Value": ["F"]},
    "00101010": {"vr": "AS", "Value": ["074Y"]},
    "00101020": {"vr": "DS", "Value": [1.55]},
    "00101030": {"vr": "DS", "Value": [45.0]},
    "00104000": {"vr": "LT", "Value": ["Patient comments string"]},
    "00181000": {"vr": "LO", "Value": ["10016"]},
    "00181020": {"vr": "LO", "Value": ["VR20B"]},
    "00181030": {"vr": "LO", "Value": ["U_TBPC230007_MANGO_First (Adult)"]},
    "00181200": {"vr": "DA", "Value": ["20240813", "20240702"]},
    "00181201": {"vr": "TM", "Value": ["010000.000000", "091429.000000"]},
    "00185100": {"vr": "CS", "Value": ["HFS"]},
    "0020000D": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081207361217700000019"],
    },
    "0020000E": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081223082978000000103"],
    },
    "00200010": {"vr": "SH", "Value": ["PROJECT_ID"]},
    "00200011": {"vr": "IS", "Value": [604]},
    "00200012": {"vr": "IS", "Value": [2001]},
    "00200013": {"vr": "IS", "Value": [5]},
    "00200052": {
        "vr": "UI",
        "Value": ["1.3.12.2.1107.5.1.4.10016.30000024081207361337100000047"],
    },
    "00204000": {"vr": "LT", "Value": ["PET Dynamic - Pass : 1 Bed : 1 Sinogram : 5"]},
    "00290010": {"vr": "LO", "Value": ["SIEMENS CSA NON-IMAGE"]},
    "00290011": {"vr": "LO", "Value": ["SIEMENS CSA HEADER"]},
    "00290012": {"vr": "LO", "Value": ["SIEMENS MEDCOM HEADER"]},
    "00291008": {"vr": "CS", "Value": ["PET_EM_SINO_T"]},
    "00291009": {"vr": "LO", "Value": ["1.3"]},
    "00291108": {"vr": "CS", "Value": ["PET_HDR_SINO"]},
    "00291109": {"vr": "LO", "Value": ["1.3"]},
    "00324000": {"vr": "LT", "Value": ["001_Pres_Dyna"]},
    "7FE10010": {"vr": "LO", "Value": ["SIEMENS CSA NON-IMAGE"]},
    "00081048": {"vr": "PN", "Value": [{"Alphabetic": "Some Phenotype"}]},
}


collated_data5 = {
    "00291010": {"vr": "OB", "BinaryLength": 19456},
    "00291110": {"vr": "OB", "BinaryLength": 1268},
    "00291220": {"vr": "OB", "BinaryLength": 104},
    "7FE11010": {"vr": "OB", "BinaryLength": 352},
}


constant_hdrs = [
    constant_hdr1,
    constant_hdr2,
    constant_hdr3,
    constant_hdr4,
    constant_hdr5,
]

collated_data = [
    collated_data1,
    collated_data2,
    collated_data3,
    collated_data4,
    collated_data5,
]
